Subject: Re: New time code miscalculates cpu usage

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 25 Oct 2007 00:17:57 +0400

Hello.

Olof Johansson wrote:

> Not sure when this started happening, but I wanted to report it. I'll
> start bisecting in a day or two if noone else has gotten around to
> looking at it:

> $ echo "int main(void) { while(1); }" > test.c ; gcc test.c
> $ time ./a.out & sleep 2 ; killall a.out
> real    0m2.008s
> user    0m4.014s
> sys     0m0.002s
> 
> Seen on POWER5 and PA6T, haven't tried anything else yet.

    I'm not surprised -- the kernel accounts twice for each tick.

WBR, Sergei